/* atopi - convert string to positive integer {0:INT_MAX} */
#include <limits.h>
int atopi(s)
	char s[];
	{
	unsigned n = 0;	/* the converted number: {0:INT_MAX} */
	int i;

	for (i = 0; isdigit(s[i]) && n <= INT_MAX/10; ++i)
		{
		if (n > INT_MAX / 10)
			return (-1);
		n = 10 * n + (s[i] - '0');
		}
	if (n > INT_MAX || isdigit(s[i]))
		return (-1);
	else
		return (n);
	}
